Trigger AI Analysis
curl --request POST \
--url https://api.chat-dash.com/v1/public/agents/{agentId}/conversations/{conversationId}/{endpoint} \
--header 'Authorization: <authorization>'import requests
url = "https://api.chat-dash.com/v1/public/agents/{agentId}/conversations/{conversationId}/{endpoint}"
headers = {"Authorization": "<authorization>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: '<authorization>'}};
fetch('https://api.chat-dash.com/v1/public/agents/{agentId}/conversations/{conversationId}/{endpoint}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"assignedTopic": "<string>"
}{
"error": "An unexpected error occurred"
}AI Analysis
Trigger AI Analysis
Programmatically trigger various AI Analysis endpoints for a specific conversation in a agent. Ensure your account has sufficient credits to use this feature.
POST
/
agents
/
{agentId}
/
conversations
/
{conversationId}
/
{endpoint}
Trigger AI Analysis
Headers
All requests to the ChatDash API must be validated with the agency API Key found on your agency profile
Path Parameters
The ID of the agent
The ID of the conversation
The AI Analysis endpoint to trigger
Available options:
autoTag, summarize, evaluate, misunderstoodQuery Response
OK
- Auto Tag
- Summary
- Evaluation
- Misunderstood Query
⌘I
